POST
/
api
/
v1
/
wallets
/
create
/
{user_id}
/
curl --request POST \
  --url https://hpay-api.host-sl.com/api/v1/wallets/create/user_123/ \
  --header 'api-key: YOUR_API_KEY' \
  --header 'secret-key: YOUR_SECRET_KEY'
{
  "id": "wall_123",
  "user_id": "user_123",
  "balance": 0.0,
  "currency": "SLE",
  "is_active": true
}

Endpoint

POST /api/v1/wallets/create/{user_id}/

Path Parameters

user_id
string
required
The unique identifier of the user to create a wallet for.

Headers

api-key
string
required
Your application API key
secret-key
string
required
Your application secret key

Response

id
string
The unique identifier of the created wallet.
user_id
string
The ID of the user who owns the wallet.
balance
number
The initial balance of the wallet (defaults to 0.0).
currency
string
The currency of the wallet balance.
is_active
boolean
Whether the wallet is currently active.
curl --request POST \
  --url https://hpay-api.host-sl.com/api/v1/wallets/create/user_123/ \
  --header 'api-key: YOUR_API_KEY' \
  --header 'secret-key: YOUR_SECRET_KEY'
{
  "id": "wall_123",
  "user_id": "user_123",
  "balance": 0.0,
  "currency": "SLE",
  "is_active": true
}